package com.ruoyi.mall.domain.Vo;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
/** 填报志愿 卡片数据*/
public class ReportCardVo  extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 批次详情id */
    private Long batchDetailId;

    /** 批次id */
    private Long batchId;

    /** 省份id */
    private Long provinceId;

    /** 年份 */
    private String year;

    /** 填报时间 */
    private String submitTime;

    /** 志愿格式 */
    private String wishForm;

    /** 志愿数量 */
    private Integer wishNum;

    /** 备注 */
    private String remark;

    /** 数据组 */
    private RateTypeSchoolMajorVo data;


    public Long getBatchDetailId() {
        return batchDetailId;
    }

    public void setBatchDetailId(Long batchDetailId) {
        this.batchDetailId = batchDetailId;
    }

    public Long getBatchId() {
        return batchId;
    }

    public void setBatchId(Long batchId) {
        this.batchId = batchId;
    }

    public Long getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(Long provinceId) {
        this.provinceId = provinceId;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getSubmitTime() {
        return submitTime;
    }

    public void setSubmitTime(String submitTime) {
        this.submitTime = submitTime;
    }

    public String getWishForm() {
        return wishForm;
    }

    public void setWishForm(String wishForm) {
        this.wishForm = wishForm;
    }

    public Integer getWishNum() {
        return wishNum;
    }

    public void setWishNum(Integer wishNum) {
        this.wishNum = wishNum;
    }

    @Override
    public String getRemark() {
        return remark;
    }

    @Override
    public void setRemark(String remark) {
        this.remark = remark;
    }

    public RateTypeSchoolMajorVo getData() {
        return data;
    }

    public void setData(RateTypeSchoolMajorVo data) {
        this.data = data;
    }

    @Override
    public String toString() {
        return "ReportCardVo{" +
                "batchDetailId=" + batchDetailId +
                ", batchId=" + batchId +
                ", provinceId=" + provinceId +
                ", year='" + year + '\'' +
                ", submitTime='" + submitTime + '\'' +
                ", wishForm='" + wishForm + '\'' +
                ", wishNum=" + wishNum +
                ", remark='" + remark + '\'' +
                ", data=" + data +
                '}';
    }
}
